using System;
using Keyoti.SearchEngine.Documents;

namespace NewWordParser
{
	public class CustomParserProvider:ParserProvider
	{
		string tempFilePath;
        public CustomParserProvider(string tempFilePath, Keyoti.SearchEngine.Configuration configuration)
            : base(configuration)
        {
			this.tempFilePath=tempFilePath;
		}

		public override Parser GetParser(string mimeType)
		{ 

			if(mimeType==null)return null;

			if(mimeType=="application/pdf")

				return new CustomParser(tempFilePath, Configuration); 

			else return base.GetParser(mimeType); 

		}


	}
}